## org.eclipse.datatools.modelbase.sql.query
Interface Grouping

All Superinterfaces:
  GroupingSpecification, SQLObject, SQLQueryObject

All Known Subinterfaces:
  GroupingExpression, SuperGroup

All Known Implementing Classes:
  GroupingExpressionImpl, GroupingImpl, SuperGroupImpl

    public interface Grouping

extends GroupingSpecification

A representation of the model object 'SQL Group'.

The following features are supported:

- `Grouping Sets Element Expr`

See Also:
  `SQLQueryModelPackage.getGrouping()`

Method Summary
`GroupingSetsElementExpression` `getGroupingSetsElementExpr()` Returns the value of the 'Grouping Sets Element Expr' container reference.
`void` `setGroupingSetsElementExpr(GroupingSetsElementExpression value)` Sets the value of the '`Grouping Sets Element Expr`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.GroupingSpecification
`getQuerySelect, setQuerySelect`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getGroupingSetsElementExpr

    GroupingSetsElementExpression getGroupingSetsElementExpr()

  Returns the value of the 'Grouping Sets Element Expr' container reference. It is bidirectional and its opposite is '`Grouping`'.

  If the meaning of the 'Grouping Sets Element Expr' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping Sets Element Expr' container reference.
  See Also:
    `setGroupingSetsElementExpr(GroupingSetsElementExpression)`, `SQLQueryModelPackage.getGrouping_GroupingSetsElementExpr()`, `GroupingSetsElementExpression.getGrouping()`

### setGroupingSetsElementExpr

    void setGroupingSetsElementExpr(GroupingSetsElementExpression value)

  Sets the value of the '`Grouping Sets Element Expr`' container reference.

  Parameters:
    `value` - the new value of the 'Grouping Sets Element Expr' container reference.
  See Also:
    `getGroupingSetsElementExpr()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.